## kweathercore 24.08.2

=== debian/changelog ===
kweathercore (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 08:55:57 +0000

kweathercore (24.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Ship the examples in libkweathercore-dev rather than in
    libkweathercore-data, as they are more for development:
    - use dh_installexamples to install them, rather than hardcoding the full
      installation path in the install file
    - add proper breaks/replaces, as libkweathercore-data shipped the examples
      in the path that belongs to libkweathercore-dev
  * Stop shipping README.md in libkweathercore-data (in the path that belongs
    to libkweathercore-dev), as it does not provide a lot of offline content.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 09:45:20 +0200

kweathercore (24.08.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Initial release to Debian (Closes: #1081171).

 -- Sandro Knauß <hefee@debian.org>  Mon, 09 Sep 2024 01:15:43 +0200
