## kweathercore 24.12.0

=== debian/changelog ===
kweathercore (24.12.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add upstream bugzilla metadata.

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:51:59 +0100
