=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: kweathercore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>,
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.5~),
                doxygen,
                extra-cmake-modules (>= 6.5.0~),
-               libkf6holidays-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               libkf6holidays-dev (>= 5.240.0~),
+               libkf6i18n-dev (>= 5.240.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-positioning-dev (>= 6.5.0~),
                qt6-tools-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kweathercore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweathercore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweathercore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
 Rules-Requires-Root: no
 Description: Library for retrieval of weather information
  Get weather forecast and alerts anywhere on the earth easy. It provides
@@ -64,8 +64,6 @@
 Package: libkweathercore6
 Architecture: any
 Multi-Arch: same
-Depends: libkweathercore-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: libkweathercore-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
 Description: ${source:Synopsis}
  ${source:Extended-Description}
