## kweathercore 25.04.2

=== debian/changelog ===
kweathercore (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Harden the CAP polygon parser against creative input.
    - Fix: Add virtual destructor for ReplyPrivate.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:00:38 +0200

kweathercore (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Don’t ship the QML module for trixie since it’s too late to
    introduce a new binary package at this stage.
  * Update symbols from build for 25.04.0.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 26 Apr 2025 01:01:37 +0200
