## kweathercore 25.04.3

=== debian/changelog ===
kweathercore (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:53:53 +0100

kweathercore (25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Ship the qml module package.
    - Do not run tests at build time.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 08:43:18 +0100

kweathercore (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:20 +0100

kweathercore (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:06 +0100

kweathercore (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * New qml module package qml6-module-org-kde-weathercore.
  * Disable tests at build time.
  * Make -dev package depend on qml module.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:00:42 +0100
