## kweathercore 25.08.1+p24.04+vstable+git20251001.1107

=== debian/changelog ===
kweathercore (25.08.1+p24.04+vstable+git20251001.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:07:57 +0000
