## kweathercore 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KWeatherCore VERSION ${RELEASE_SERVICE_VERSION})
@@ -51,7 +51,7 @@
     ki18n_install(po)
 endif()
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.10.0
+    KF 6.12.0
 )
 
 add_definitions(-DQT_NO_FOREACH)
