## kweathercore 25.08.2+p24.04+vstable+git20251011.0841

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vstable+git20251011.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:41:19 +0000

kweathercore (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:25:58 +0000
