=== debian/control ===
Source: kweathercore
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kwindowsystem-dev,
               libplasma-dev,
               qt6-base-dev,
               qt6-positioning-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kweathercore.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kweathercore
Maintainer: Neon CI <neon@kde.org>

Package: libkweathercore-dev
Section: libdevel
Architecture: any
Depends: libkweathercore6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkf5kweathercore-dev, libkf6kweathercore-dev
Provides: libkf5kweathercore-dev, libkf6kweathercore-dev
Description: retrieval of weather information including forecasts and alerts
 Library to facilitate retrieval of weather information including
 forecasts and alerts.
 .
 This package contains the development files.

Package: libkweathercore6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5kweathercore5, libkf6kweathercore5
Provides: libkf5kweathercore5, libkf6kweathercore5
Description: retrieval of weather information including forecasts and alerts
 Library to facilitate retrieval of weather information including
 forecasts and alerts.

Package: libkf6kweathercore-dev
Architecture: all
Depends: libkweathercore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kweathercore5
Architecture: all
Depends: libkweathercore6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kweathercore-dev
Architecture: all
Depends: libkweathercore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kweathercore5
Architecture: all
Depends: libkweathercore6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
