## kweathercore 25.08.2+p24.04+vstable+git20251031.0733

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vstable+git20251031.0733-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:33:25 +0000
