## kweathercore 25.08.2+p24.04+vunstable+git20251015.1006

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vunstable+git20251015.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:06:38 +0000
