## kweathercore 25.08.2+p24.04+vunstable+git20251020.0236

=== debian/changelog ===
kweathercore (25.08.2+p24.04+vunstable+git20251020.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:36:05 +0000
