## kweathercore 25.08.3+p24.04+vunstable+git20251111.0341

=== debian/changelog ===
kweathercore (25.08.3+p24.04+vunstable+git20251111.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:41:38 +0000

kweathercore (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:58 +1000
