## kweathercore 25.08.3+p24.04+vunstable+git20251125.0141

=== debian/changelog ===
kweathercore (25.08.3+p24.04+vunstable+git20251125.0141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 01:41:50 +0000
