## kweathercore 25.11.80

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
     capnamedvalue.cpp
     capreference.cpp
     capreference.h
+    capresource.cpp
     reply.cpp
     reply.h
 )
@@ -78,6 +79,7 @@
     CAPArea
     CAPNamedValue
     CAPReference
+    CAPResource
     Reply
 
     PREFIX KWeatherCore
