=== debian/control ===
Source: kweathercore
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.5.0~),
               libkf6holidays-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-positioning-dev (>= 6.5.0~),
               qt6-tools-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/kweathercore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweathercore
Rules-Requires-Root: no
Description: Library for retrieval of weather information
 Get weather forecast and alerts anywhere on the earth easy. It provides
 you a highly abstracted library for things related to weather.
 .
 You are able to get the weather by location or coordinate. It is also possible
 to get the alerts of a country.

Package: libkweathercore-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: arch independent data for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the arch independent data for KWatherCore.

Package: libkweathercore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkweathercore6 (= ${binary:Version}),
         qml6-module-org-kde-weathercore (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkweathercore-doc (= ${source:Version}),
Breaks: libkweathercore-data (<< 24.08.1~),
Replaces: libkweathercore-data (<< 24.08.1~),
Description: development files for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libkweathercore-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: development documentation for KWeatherCore
 ${source:Extended-Description}
 .
 This package contains the qch documentation files.

Package: libkweathercore6
Architecture: any
Multi-Arch: same
Depends: libkweathercore-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: qml6-module-org-kde-weathercore
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the qml module.
