## kweathercore 25.12.0+p24.04+vunstable+git20260104.0321

=== debian/changelog ===
kweathercore (25.12.0+p24.04+vunstable+git20260104.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:21:17 +0000

kweathercore (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:41 +1000
