## kweathercore 25.12.1+p24.04+vstable+git20260116.0312

=== debian/changelog ===
kweathercore (25.12.1+p24.04+vstable+git20260116.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:12:39 +0000

kweathercore (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:58 +1000
