## kweathercore 25.12.1+p24.04+vunstable+git20260124.0042

=== debian/changelog ===
kweathercore (25.12.1+p24.04+vunstable+git20260124.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 00:42:08 +0000
